# -*-Mode: makefile;-*-

#*BeginPNNLCopyright*********************************************************
#
# $HeadURL$
# $Id$
#
#***********************************************************EndPNNLCopyright*

#****************************************************************************
# $HeadURL$
#
# Nathan Tallent
#****************************************************************************

#****************************************************************************
# Package defs
#****************************************************************************

include ../Makefile-defs.mk

#****************************************************************************
# Recursion
#****************************************************************************

MK_SUBDIRS =


#****************************************************************************
# Tools
#****************************************************************************

#----------------------------------------------------------------------------
# Build
#----------------------------------------------------------------------------

CXX = g++

LIBCXX_LIB = $(dir $(shell $(CXX) -print-file-name=libstdc++.so))

DYNINST_LIBRARIES = \
	-lparseAPI \
	-lsymtabAPI

#****************************************************************************

palmscrub = palm-scrub

MK_PROGRAMS_CXX = $(palmscrub)

$(palmscrub)_SRCS = main.cpp

$(palmscrub)_CXXFLAGS = -g -O3 \
	-I$(DYNINST_INC) \
	-I$(BOOST_INC)

$(palmscrub)_LDFLAGS =

$(palmscrub)_LIBS =

$(palmscrub)_LDADD = \
	-L$(DYNINST_LIB) -Wl,-rpath $(DYNINST_LIB) $(DYNINST_LIBRARIES) \
	-L$(LIBDWARF_LIB) -Wl,-rpath $(LIBDWARF_LIB) -ldwarf \
	-L$(LIBELF_LIB) -Wl,-rpath $(LIBELF_LIB) -lelf \
	-Wl,-rpath $(LIBCXX_LIB)


#****************************************************************************
# Template Rules
#****************************************************************************

include ../Makefile-template.mk

#****************************************************************************
# Local Rules
#****************************************************************************

info.local :
	@echo -e "*** $(palmscrub) depends on: ***\n  $(DYNINST_LIB)\n  $(LIBDWARF_LIB)\n  $(LIBELF_LIB)\n  $(LIBCXX_LIB)"

APP_X = $(HOME)/app/npb/NPB2.4/NPB2.4-MPI/bin/cg.B.8

check.local :
	./$(palmscrub) /bin/ls
	./$(palmscrub) $(APP_X) $(APP_X)-clean
